/*
 * Copyright 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2024 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define PCR_IBE_ibe1 0x01u /*!<@brief Input Buffer Enable: Enables */

/*! @name PORT1_7 (number 100), SW2
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_SW2_GPIO GPIO1               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_SW2_GPIO_PIN 7U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_SW2_GPIO_PIN_MASK (1U << 7U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_SW2_PORT PORT1               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_SW2_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_SW2_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PORT3_12 (number 63), LED_R
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_LED_R_GPIO GPIO3                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_LED_R_GPIO_PIN 12U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_LED_R_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_LED_R_PORT PORT3                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_LED_R_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_LED_R_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PORT3_13 (number 62), LED_G
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_LED_G_GPIO GPIO3                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_LED_G_GPIO_PIN 13U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_LED_G_GPIO_PIN_MASK (1U << 13U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_LED_G_PORT PORT3                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_LED_G_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_LED_G_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PORT3_0 (number 73), LED_B
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_LED_B_GPIO GPIO3               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_LED_B_GPIO_PIN 0U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_LED_B_GPIO_PIN_MASK (1U << 0U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_LED_B_PORT PORT3               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_LED_B_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_LED_B_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#define PCR_IBE_ibe1 0x01u /*!<@brief Input Buffer Enable: Enables */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPWM(void);

#define PCR_IBE_ibe0 0x00u          /*!<@brief Input Buffer Enable: Disables */
#define PORT2_PCR16_MUX_mux00 0x00u /*!<@brief Pin Multiplex Control: Alternative 0 (GPIO) */
#define PORT2_PCR1_MUX_mux00 0x00u  /*!<@brief Pin Multiplex Control: Alternative 0 (GPIO) */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitADC(void);

#define PCR_IBE_ibe0 0x00u         /*!<@brief Input Buffer Enable: Disables */
#define PORT2_PCR2_MUX_mux00 0x00u /*!<@brief Pin Multiplex Control: Alternative 0 (GPIO) */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitCMP(void);

#define PCR_IBE_ibe1 0x01u          /*!<@brief Input Buffer Enable: Enables */
#define PORT2_PCR20_MUX_mux01 0x01u /*!<@brief Pin Multiplex Control: Alternative 1 (chip-specific) */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENC(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
